Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8047 - A bug in rc.local produces incorrect processors number on rh 6.1
Summary: A bug in rc.local produces incorrect processors number on rh 6.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 6.1
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-29 14:55 UTC by m.bizzarri
Modified: 2014-03-17 02:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-21 06:14:22 UTC


Attachments (Terms of Use)

Description m.bizzarri 1999-12-29 14:55:49 UTC
In the current version of initscripts, in order to get the number of
processors in the system and to print that on the login, the rc.local
makes something like

grep -cl <some regular expression> <somefile>

this should be fixed as

egrep -c <the same reg. ex. > <the same file>

The egrep is used to count the number of processor, with the -c option.

I can be more precise if necessary.

Comment 1 Bill Nottingham 2000-01-21 06:14:59 UTC
This is fixed in the various errata initscripts.


Note You need to log in before you can comment on or make changes to this bug.